Page MenuHomePhabricator

Advanced Search & Timeless: General
Closed, ResolvedPublic2 Story Points

Description

Problems:

  • "Exactly this text" field appears smaller (in height) than the others
  • The space between "Not these words" and "One of these words" is different than the space between the other fields
  • There are some empty rectangular forms ( placeholders? ) inside "These words", "Not these words", "One of these words" and "Only pages with this template", see T189949. Fixed via https://gerrit.wikimedia.org/r/422412, see T189950.
  • Infobox content looks strange, it appears to have different fonts for different parts of the text
  • The file-size boxes problem is addressed here T189950, and also seems to have a patch up already.
  • The word "Search" inside the search button looks blurry. It's probably because the font has too little space between the letters.

Task
Spend an hour to try and see how much of that we can and should fix on our side. If we can do painless workarounds, yay! If this should actually be tackled somewhere else, please create the necessary tickets.

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptApr 16 2018, 4:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE set the point value for this task to 2.Apr 25 2018, 12:20 PM

this estimation is about "taking a look", creating tickets if this should be fixed outside of our scope, and including medium term workarounds, if they are easy to add and remove.

Lea_WMDE updated the task description. (Show Details)Apr 25 2018, 2:05 PM
Lea_WMDE triaged this task as Normal priority.Apr 25 2018, 2:07 PM
Lea_WMDE updated the task description. (Show Details)
aniansson claimed this task.May 9 2018, 9:38 AM
aniansson moved this task from Todo to Doing on the WMDE-FUN-Sprint-2018-05-02 board.

Change 432975 had a related patch set uploaded (by Ebba Aniansson; owner: Ebba Aniansson):
[mediawiki/extensions/AdvancedSearch@master] Fix general issues in the Timeless skin

https://gerrit.wikimedia.org/r/432975

thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from Incoming to Advanced Search on the TCB-Team board.
thiemowmde added a subscriber: thiemowmde.
aniansson moved this task from Backlog to Doing on the User-aniansson board.

Change 433150 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[oojs/ui@master] TagMultiselectWidget: Reset more styles on invisible <input>

https://gerrit.wikimedia.org/r/433150

thiemowmde added subscribers: Volker_E, Mooeypoo.

For your information, I uploaded an upstream OOUI patch at https://gerrit.wikimedia.org/r/433150.

  • It removes the box-shadow I already removed via https://gerrit.wikimedia.org/r/422412. The additional box-shadow: 0 in the AdvancedSearch .less file can be removed when the fix is in OOUI.
  • The same patch also fixes the issue that some input fields appear higher than others.

Still to do:

  • The blurry "Search" label on the button should also be fixed upstream in OOUI, in my opinion. I did not investigated this one yet.
  • From what I see the different fonts should be fixed in AdvancedSearch. https://gerrit.wikimedia.org/r/432975 already does this.
  • I'm not sure what causes the different spacing between fields.

Change 433906 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/skins/Timeless@master] Make Timeless aware of OOUI multiselect widgets

https://gerrit.wikimedia.org/r/433906

Change 433906 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Make Timeless aware of OOUI multiselect widgets

https://gerrit.wikimedia.org/r/433906

Change 433925 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Reset box-shadow on customized <fieldset>

https://gerrit.wikimedia.org/r/433925

Change 433925 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Reset box-shadow on customized <fieldset>

https://gerrit.wikimedia.org/r/433925

Tonina_Zhelyazkova_WMDE removed aniansson as the assignee of this task.May 22 2018, 2:04 PM
Tonina_Zhelyazkova_WMDE updated the task description. (Show Details)
Tonina_Zhelyazkova_WMDE moved this task from Doing to Review on the WMDE-FUN-Sprint-2018-05-02 board.

This is great, thanks!

Please continue flagging more issues you encounter with OOUI and Timeless, we should continue adjusting those as we see them, like we do for vector and monobook (...and sometimes, <sigh> Modern)

Change 432975 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Fix general issues in the Timeless skin

https://gerrit.wikimedia.org/r/432975

So the contents of this ticket looks great! Only I don't manage to get any category or template suggestions right now, with both fields behaving differently (there is a striped background for the category field, that does not seem to go away, and just nothing for the template field). So Im not sure if new bugs were introduced with this one - on the live version there are no problems.
(Or I did not manage to hit any key that actually is the start of a category/template)

@Lea_WMDE on uca there are categories starting with the letters M or F. As of templates, there's one named "Erster Test"

Thanks, I got it now. It is suuuper slow, but I'm guessing this is a test wiki issue.

Change 435734 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Remove redundant CSS values on <code> elements

https://gerrit.wikimedia.org/r/435734

Change 435735 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Timeless: Remove inconsistent resets on <code> elements

https://gerrit.wikimedia.org/r/435735

Change 435736 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Do not set CSS values via (expensive) JavaScript

https://gerrit.wikimedia.org/r/435736

Volker_E removed a project: OOUI.EditedMay 28 2018, 8:36 PM

@thiemowmde the “blurred” Search label originates in a text-shadow on progressive .mw-ui-button in Timeless forms.less, which I don't have an explanation why it's there. Not an OOUI issue.

Change 435836 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/Timeless@master] Remove text-shadow from progressive mediawiki.ui buttons

https://gerrit.wikimedia.org/r/435836

Change 433150 abandoned by Thiemo Kreuz (WMDE):
TagMultiselectWidget: Reset more styles on invisible <input>

Reason:
I still argue for the box-shadow, because I know there are browsers out there (Safari? Chrome?) that set some kind of box-shadow on <input>s by default. But I don't have the time to find that browser. The specific issue that made me work on this is now fixed in the Timeless skin.

https://gerrit.wikimedia.org/r/433150

Change 435836 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Remove text-shadow from progressive mediawiki.ui buttons

https://gerrit.wikimedia.org/r/435836

Lea_WMDE closed this task as Resolved.May 30 2018, 10:35 AM

Change 435734 merged by Thiemo Kreuz (WMDE):
[mediawiki/extensions/AdvancedSearch@master] Remove redundant CSS values on <code> elements

https://gerrit.wikimedia.org/r/435734

Change 435736 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Do not set CSS values via (expensive) JavaScript

https://gerrit.wikimedia.org/r/435736

Change 435735 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Timeless: Remove inconsistent resets on <code> elements

https://gerrit.wikimedia.org/r/435735